Stop! Tickets are now managed at GitHub.

Please enter new tickets, and find and edit existing tickets there:


Ticket #15 (new defect)

Opened 6 years ago

Last modified 2 years ago

Be able to cabal install haskell-platform

Reported by: anonymous Owned by: dons
Priority: major Milestone: Blue Sky
Component: Platform Keywords:
Cc:

Description

Once this works:

$ cabal install
Resolving dependencies...
Configuring haskell-platform-2009.0.0...
cabal: Unknown build tool cabal-install
cabal: Error: some packages failed to install:
haskell-platform-2009.0.0 failed during the configure step. The exception was:
exit: ExitFailure 1

That is, cabal is able to track and install build-tools of unknown origin, we can put the haskell-platform.cabal file on Hackage, and it should be cabal-installable.

Change History

Changed 5 years ago by dons

  • milestone set to 2009.4.0

Duncan reports this is at least 6 months off.

Changed 5 years ago by duncan

Note that the immediate problem is fixed, we say what the "cabal-install" tool is in the Setup.hs file. This lets you install the platform meta-package using cabal if you already have cabal, alex and happy installed.

However the main problem remains, that cabal does not follow build-tools as dependencies. It currently only tracks build-depends, ie deps on libraries.

See http://hackage.haskell.org/trac/hackage/ticket/227

Changed 4 years ago by refold

  • milestone changed from 2009.4.0 to 2010.2.0.0

Milestone 2009.4.0 deleted

Changed 2 years ago by MtnViewMark

  • milestone changed from 2010.2.0.0 to Blue Sky

Changed to blue sky, since this depends on features in cabal-install which aren't implemented yet.

Note: See TracTickets for help on using tickets.